Bug 189327 - Yum Problem
Yum Problem
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-19 03:07 EDT by Vasile Mih
Modified: 2014-01-21 17:53 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-18 16:28:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vasile Mih 2006-04-19 03:07:59 EDT
When I start Software Updater the next message apear


Component: Software Updater
Summary: TBd92eccef ConfigParser.py:462:_read:MissingSectionHeaderError: File
contains no section headers.
file: ///etc/yum.repos.d/dries.repo, line: 1
'dries]\n'

Traceback (most recent call last):
  File "/usr/sbin/pup", line 382, in ?
    main()
  File "/usr/sbin/pup", line 377, in main
    pup = PackageUpdater()
  File "/usr/sbin/pup", line 77, in __init__
    GraphicalYumBase.__init__(self, False)
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 122, in __init__
    self.doConfigSetup()
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 104, in
doConfigSetup
    self.getReposFromConfig()
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 135, in
getReposFromConfig
    parser.read(files)
  File "/usr/lib/python2.4/site-packages/yum/parser.py", line 225, in read
    IncludingConfigParser.read(self,filename)
  File "/usr/lib/python2.4/site-packages/yum/parser.py", line 126, in read
    ConfigParser.read(self,filename)
  File "/usr/lib/python2.4/ConfigParser.py", line 267, in read
    self._read(fp, filename)
  File "/usr/lib/python2.4/ConfigParser.py", line 462, in _read
    raise MissingSectionHeaderError(fpname, lineno, line)
MissingSectionHeaderError: File contains no section headers.
file: ///etc/yum.repos.d/dries.repo, line: 1
'dries]\n'

Local variables in innermost frame:
cursect: None
fp: <open file '///etc/yum.repos.d/dries.repo', mode 'r' at 0xb797ab60>
e: None
fpname: ///etc/yum.repos.d/dries.repo
mo: None
optname: None
lineno: 1
line: dries]

self: <yum.parser.IncludedDirConfigParser instance at 0xb798c5cc>

  
Actual results:


Expected results:


Additional info:
Comment 1 Seth Vidal 2006-04-19 07:53:51 EDT
It looks like one of the tracebacks isn't being caught but the thing causing the
problem, I think is the file /etc/yum.repos.d/dries.repo

Attach that file and I'll bet I can find out what's wrong with it.
Comment 2 Jonathan Underwood 2006-06-25 10:08:17 EDT
Please change the bug summary to something useful - when searching for other
bugs for yum, prior to posting a bug to check that it hasn't already been
reported seeing a bug with "Yum Problem" as the description is totally unhelpful.
Comment 3 Jeremy Katz 2006-09-18 16:28:17 EDT
Closing due to inactivity

Note You need to log in before you can comment on or make changes to this bug.